Subject: bug#39081: 26.3; Emacs hangs if external SCIM input method is killed

From: Vladimir Nikishkin <[email-masked]>
Date: Sun, 12 Jan 2020 14:05:06 +0800

Okay, I rebuild Emacs from git with debug information, and after a few
attempts, Emacs crashed, printing "This is a GTK bug".
I am not sure why optimized Emacs hangs instead of crashing.
Maybe this bug can be closed (or maybe there is an interleaving
between two bugs)

сб, 11 янв. 2020 г. в 18:05, Eli Zaretskii <[email-masked]>:
>
> > From: Vladimir Nikishkin <[email-masked]>
> > Date: Sat, 11 Jan 2020 16:29:46 +0800
> > Cc: [email-masked]
> >
> > Here you are:
>
> Thanks.  Your build seems to be stripped, so the backtrace is not very
> useful.  Can you try building the latest emacs-27 branch of the Emacs
> Git repository?  Please build it without stripping the binary of the
> debugging symbols.  Then repeat the experiment.
>
> I don't know if this is some problem that has been fixed, but it might
> be.

-- 
Yours sincerely, Vladimir Nikishkin